petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMCompositeScatter

Scatters from a global packed vector into its individual local vectors

### Synopsis

    #include "petscdmcomposite.h"
    PetscErrorCode  DMCompositeScatter(DM dm,Vec gvec,...)

Collective on DMComposite

### Input Parameters

| dm | - the packer object
| gvec | - the global vector
| Vec ... | - the individual sequential vectors, NULL for those that are not needed

### Notes

DMCompositeScatterArray() is a non-variadic alternative that is often more convenient for library callers and is accessible from Fortran.

### See Also

DMDestroy(), DMCompositeAddDM(), DMCreateGlobalVector(),
DMCompositeGather(), DMCompositeCreate(), DMCompositeGetISLocalToGlobalMappings(), DMCompositeGetAccess(), DMCompositeGetLocalVectors(), DMCompositeRestoreLocalVectors(), DMCompositeGetEntries() DMCompositeScatterArray()

### Level

advanced

### Location

src/dm/impls/composite/pack.c

### Examples

src/snes/examples/tutorials/ex21.c.html
src/snes/examples/tutorials/ex22.c.html
src/snes/examples/tutorials/ex28.c.html
src/ts/examples/tutorials/ex14.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages